Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366480 - CVE-2016-6316 rubygem-actionview: cross-site scripting flaw in Action View [fedora-all]
Summary: CVE-2016-6316 rubygem-actionview: cross-site scripting flaw in Action View [f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-actionview
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: ruby maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-12 06:01 UTC by Martin Prpič
Modified: 2016-08-27 10:25 UTC (History)
4 users (show)

Fixed In Version: rubygem-actionview-4.2.5.2-3.fc24 rubygem-actionview-4.2.3-6.fc23 rubygem-actionview-5.0.0.1-2.fc25
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-26 10:22:33 UTC


Attachments (Terms of Use)
Fix for CVE-2016-6316 (deleted)
2016-08-16 12:09 UTC, Jun Aruga
no flags Details | Diff
F24 Fix for CVE-2016-6316 (deleted)
2016-08-16 13:30 UTC, Jun Aruga
no flags Details | Diff
F23 Fix for CVE-2016-6316 (deleted)
2016-08-16 13:35 UTC, Jun Aruga
no flags Details | Diff

Description Martin Prpič 2016-08-12 06:01:11 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Martin Prpič 2016-08-12 06:01:16 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1365008,1366480

# Description of your update
notes=Security fix for CVE-2016-6316

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Jun Aruga 2016-08-16 10:09:36 UTC
I will do it for F24 and F23.

Comment 3 Jun Aruga 2016-08-16 11:58:39 UTC
Just as a information. target commit hashes.

https://bugzilla.redhat.com/show_bug.cgi?id=1365008#c9

Comment 5 Vít Ondruch 2016-08-16 12:25:13 UTC
I don't like the unnecessary change of %prep and %build sections. It makes it job and there is no reason to change it when applying security fix. IOW, please apply the patches in %prep section by addind:

```
pushd .%{gem_instdir}
%patch0 -p2
%patch2 -p2
popd
```

and keep the rest untouched. Otherwise I have no objections.

Comment 6 Pavel Valena 2016-08-16 12:37:50 UTC
I think it is a good practice to use

```
- Fix for CVE-2016-6316
  - Resolves: rhbz#1366480
```

instead of

```
- Fix for CVE-2016-6316 (rhbz#1366480)
```

Also, I would do a single build fixing both CVE-2016-6316 and CVE-2016-6317.
Otherwise it looks good.

Comment 7 Pavel Valena 2016-08-16 12:54:11 UTC
> Also, I would do a single build fixing both CVE-2016-6316 and CVE-2016-6317.

Correction: there is no common build. I was looking at an obsolete patch.

Comment 8 Jun Aruga 2016-08-16 13:30:39 UTC
Created attachment 1191292 [details]
F24 Fix for CVE-2016-6316

Vit, thanks for the review. I updated my patches.
This patch is for F24.

Comment 9 Jun Aruga 2016-08-16 13:35:36 UTC
Created attachment 1191293 [details]
F23 Fix for CVE-2016-6316

This patch is for f23.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=15275482

Comment 10 Vít Ondruch 2016-08-17 08:02:01 UTC
LGTM

Pavel, could you please approve the ACLs? Thx.

Comment 11 Jun Aruga 2016-08-17 10:40:43 UTC
(In reply to Pavel Valena from comment #6)
> I think it is a good practice to use
> 
> ```
> - Fix for CVE-2016-6316
>   - Resolves: rhbz#1366480
> ```
> 
> instead of
> 
> ```
> - Fix for CVE-2016-6316 (rhbz#1366480)
> ```

I think your mentioned practice may be suitable for Red Hat products.
In the case of Fedora, "Fix for CVE-2016-6316 (rhbz#1366480)" looks better, as far as I know.

Comment 12 Pavel Valena 2016-08-17 13:03:09 UTC
ACLs approved.

> I think your mentioned practice may be suitable for Red Hat products.
> In the case of Fedora, "Fix for CVE-2016-6316 (rhbz#1366480)" looks better, as far as I know.
Sure. Looks ok.

Comment 13 Fedora Update System 2016-08-17 13:46:51 UTC
rubygem-actionview-4.2.3-6.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab8bf51cf3

Comment 14 Fedora Update System 2016-08-17 13:46:58 UTC
rubygem-actionview-4.2.5.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d9890f7b5

Comment 15 Fedora Update System 2016-08-17 14:38:15 UTC
rubygem-actioncable-5.0.0.1-1.fc25 rubygem-actionmailer-5.0.0.1-1.fc25 rubygem-actionpack-5.0.0.1-2.fc25 rubygem-actionview-5.0.0.1-2.fc25 rubygem-activejob-5.0.0.1-1.fc25 rubygem-activemodel-5.0.0.1-1.fc25 rubygem-activerecord-5.0.0.1-1.fc25 rubygem-activesupport-5.0.0.1-1.fc25 rubygem-rails-5.0.0.1-1.fc25 rubygem-railties-5.0.0.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5760339e76

Comment 16 Fedora Update System 2016-08-17 19:52:45 UTC
rubygem-actioncable-5.0.0.1-1.fc25, rubygem-actionmailer-5.0.0.1-1.fc25, rubygem-actionpack-5.0.0.1-2.fc25, rubygem-actionview-5.0.0.1-2.fc25, rubygem-activejob-5.0.0.1-1.fc25, rubygem-activemodel-5.0.0.1-1.fc25, rubygem-activerecord-5.0.0.1-1.fc25, rubygem-activesupport-5.0.0.1-1.fc25, rubygem-rails-5.0.0.1-1.fc25, rubygem-railties-5.0.0.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5760339e76

Comment 17 Fedora Update System 2016-08-18 01:51:10 UTC
rubygem-actionview-4.2.3-6.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ab8bf51cf3

Comment 18 Fedora Update System 2016-08-18 01:51:44 UTC
rubygem-actionview-4.2.5.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d9890f7b5

Comment 19 Fedora Update System 2016-08-26 10:22:30 UTC
rubygem-actionview-4.2.5.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-08-26 12:49:24 UTC
rubygem-actionview-4.2.3-6.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-08-27 10:24:47 UTC
rubygem-actioncable-5.0.0.1-1.fc25, rubygem-actionmailer-5.0.0.1-1.fc25, rubygem-actionpack-5.0.0.1-2.fc25, rubygem-actionview-5.0.0.1-2.fc25, rubygem-activejob-5.0.0.1-1.fc25, rubygem-activemodel-5.0.0.1-1.fc25, rubygem-activerecord-5.0.0.1-1.fc25, rubygem-activesupport-5.0.0.1-1.fc25, rubygem-rails-5.0.0.1-1.fc25, rubygem-railties-5.0.0.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.